<!-- Use .flex-column to set a vertical direction -->
<?php global $pagetypes; ?>
<ul class="nav flex-column pt-4">
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'dashboard' ?>"><span class="fa fa-globe fa-fw"></span><?php $L->p('Dashboard') ?></a>
	</li>

	<?php if (!checkRole(array('admin'),false)): ?>
	<li class="nav-item mt-3">
		<h4><?php $L->p('Content') ?></h4>
	</li>
	<?php foreach ($pagetypes->getDB() as $contentPageKey => $fields) {
		$pageType = new PageType($contentPageKey);
		?>
		<li class="nav-item">
			<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'content/'.$pageType->type() ?>"><span class="fa fa-<?php echo $pageType->icon(); ?> fa-fw"></span><?php echo $pageType->plural(); ?></a>
		</li>
		<?php
	} ?>
	<?php endif; ?>

	<?php if (checkRole(array('admin'),false)): ?>

	<li class="nav-item mt-3">
		<h4><?php $L->p('Content') ?></h4>
	</li>
	<?php foreach ($pagetypes->getDB() as $contentPageKey => $fields) {
		$pageType = new PageType($contentPageKey);
		?>
		<li class="nav-item">
			<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'content/'.$pageType->type() ?>"><span class="fa fa-<?php echo $pageType->icon(); ?> fa-fw"></span><?php echo $pageType->plural(); ?></a>
		</li>
		<?php
	} ?>

	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'categories' ?>"><span class="fa fa-tags fa-fw"></span><?php $L->p('Categories') ?></a>
	</li>

	<li class="nav-item mt-3">
		<h4><?php $L->p('Customization') ?></h4>
	</li>
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'themes' ?>"><span class="fa fa-desktop fa-fw"></span><?php $L->p('Themes') ?></a>
	</li>
	<?php if (Theme::supports("sidebar",  false)): ?>
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'sidebar' ?>"><span class="fa fa-list fa-fw"></span><?php $L->p('Sidebar') ?></a>
	</li>
	<?php endif; ?>

	<li class="nav-item mt-3">
		<h4><?php $L->p('Settings') ?></h4>
	</li>
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'settings' ?>"><span class="fa fa-gear fa-fw"></span><?php $L->p('General') ?></a>
	</li>
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'users' ?>"><span class="fa fa-users fa-fw"></span><?php $L->p('Users') ?></a>
	</li>
	<li class="nav-item">
		<a class="nav-link" href="<?php echo HTML_PATH_ADMIN_ROOT.'plugins' ?>"><span class="fa fa-puzzle-piece fa-fw"></span><?php $L->p('Plugins') ?></a>
	</li>

	<?php endif; ?>

	<?php if (checkRole(array('admin', 'editor'),false)): ?>

		<?php
			if (!empty($plugins['adminSidebar'])) {
				echo '<li class="nav-item"><hr></li>';
				foreach ($plugins['adminSidebar'] as $pluginSidebar) {
					echo '<li class="nav-item">';
					echo $pluginSidebar->adminSidebar();
					echo '</li>';
				}
			}
		?>

	<?php endif; ?>
</ul>
